#ifndef _SSD1289_CONFIG_H_
#define _SSD1289_CONFIG_H_

  /*****************************
  **    Verbindungen          **
  ** STM32           SSD1289  **
  ** PD14  FSMC_D0   D0       **
  ** PD15  FSMC_D1   D1       **
  ** PD0   FSMC_D2   D2       **
  ** PD1   FSMC_D3   D3       **
  ** PE7   FSMC_D4   D4       **
  ** PE8   FSMC_D5   D5       **
  ** PE9   FSMC_D6   D6       **
  ** PE10  FSMC_D7   D7       **
  ** PE11  FSMC_D8   D8       **
  ** PE12  FSMC_D9   D9       **
  ** PE13  FSMC_D10  D10      **
  ** PE14  FSMC_D11  D11      **
  ** PE15  FSMC_D12  D12      **
  ** PD8   FSMC_D13  D13      **
  ** PD9   FSMC_D14  D14      **
  ** PD10  FSMC_D15  D15      **
  ** PD7   FSMC_NE1  CS       **
  ** PD4   FSMC_NOE  RD       **
  ** PD5   FSMC_NWE  WR       **
  ** PD11  FSMC_A16  RS       **
  ** NRST  RESET     RESET    **
  ******************************/

#define SCREEN_HOR_SIZE 320UL
#define SCREEN_VER_SIZE	240UL

#define GetMaxX() ((uint16_t)SCREEN_HOR_SIZE-1)
#define GetMaxY() ((uint16_t)SCREEN_VER_SIZE-1)



#endif // _SSD1289_CONFIG_H_
