#include <CoOS.h>
#include <stdint.h>
#include "led.h"
#include "xmem.h"
#include "task_c.h"

/* task stack */
#define STACK_SIZE_TASK_C 128
OS_STK task_c_stack[STACK_SIZE_TASK_C];

/* forward declaration */
void task_c(void* pdata);

void task_c_init()
{
	CoCreateTask(&task_c, 0, 4, &task_c_stack[STACK_SIZE_TASK_C - 1], STACK_SIZE_TASK_C);
}

void task_c(void* pdata)
{
	while(1)
	{
		led_toggle();
		CoTimeDelay(0, 0, 0, 500);
	}
}

